package com.testor.module.train.project.service;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.testor.module.train.myManagement.model.domain.TTrainMyManagement;
import com.testor.module.train.project.model.domain.TTrainProject;
import com.testor.module.train.project.model.dto.TTrainProjectDelParam;
import com.testor.module.train.project.model.dto.TTrainProjectParam;
import com.tongtech.tfw.backend.common.biz.models.BaseResponse;
import com.tongtech.tfw.backend.common.biz.models.BizGeneralResponse;
import com.tongtech.tfw.backend.common.models.supers.SuperService;

import java.util.List;

/**
 * 教育培训计划—安全培训教育Service接口
 *
 * @author testor-framework
 * @date 2022-07-28 15:15:20
 */
public interface TTrainProjectService extends SuperService<TTrainProject> {

    BaseResponse<TTrainProject> addEntity(TTrainProjectParam addRequest) throws Exception;

    BaseResponse<TTrainProjectParam> getByIds(String id) throws Exception;

    BaseResponse<BizGeneralResponse> updateEntity(TTrainProject updateRequest) throws Exception;

    BaseResponse<BizGeneralResponse> deleteEntity(TTrainProjectDelParam deleteRequest)throws Exception;

    IPage<TTrainProjectParam> getAffiliation(TTrainProjectParam param,String parentIds,String orgId);

    List<TTrainProjectParam> getProjectPerson(String projectId);

    void updateStatus(TTrainMyManagement record, String courseId);
}
